XdkWrl: SFTime Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# SFTime Class Reference
[Field Types]

`#include <sftime.h>`

List of all members.

## Public Member Functions
| SFTime ()
| SFTime (const double b)
double | nbSeconds () const
void | setNbSeconds (const double n)
bool | operator== (const SFTime &t) const
## Static Public Member Functions
static const char * | typeName ()
static FieldTypeId | typeId ()
## Friends
std::ostream & | operator<< (std::ostream &s, const SFTime &t)

## Detailed Description

Represents a time value as a (float) number of seconds. Below is included the documentation for this field type from the ISO standard.

## 5.10 SFTime and MFTime

The SFTime field or event specifies a single time value. The MFTime field or event specifies zero or more time values. Time values are written to the VRML file as a double-precision floating point number in ISO C floating point format (see 2.[ISOC]). Time values are specified as the number of seconds from a specific time origin. Typically, SFTime fields and events represent the number of seconds since Jan 1, 1970, 00:00:00 GMT. For example:

`fooTime 0.0`

is an SFTime field, fooTime, representing a time of 0.0 seconds.

The initial value of an SFTime eventOut is -1. The initial value of an MFTime eventOut is [ ].

## Constructor & Destructor Documentation

SFTime | ( |  | ) | `[inline]`

Creates a SFTime with default value 0.0f.

SFTime | ( | const double | b | ) | `[inline]`

## Member Function Documentation

double nbSeconds | ( |  | ) | const`[inline]`

void setNbSeconds | ( | const double | n | ) | `[inline]`

const char * typeName | ( |  | ) | `[inline, static]`

FieldTypeId typeId | ( |  | ) | `[inline, static]`

bool operator== | ( | const SFTime & | t | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const SFTime & | t |
| ) |  |  | `[friend]`

Generated on 5 Jan 2007 with version 1.5.1. |